## NAME

v.support - Creates GRASS support files for (binary) GRASS vector data.
(GRASS Vector Program)

## SYNOPSIS

v.support
v.support help
v.support [-spr] map=name [option=name] [threshold=value] [err=name]

## DESCRIPTION

v.support builds GRASS support files for (binary) GRASS vector data files. These support files supply topology (`dig_plus`) and category (`dig_att`) information that are needed by other GRASS programs (e.g., by v.digit, v.to.rast, etc.).

The program gives the user the options of:

1. building topological information (the `dig_plus` file) needed by v.digit for the vector data file, and/or
2. editing the category label (`dig_cats`) file associated with the vector data file.

## OPTIONS

Program parameters and flags have the following meanings.

### Flags:

-s
  Snap nodes. Valid only with build option.
-p
  Prompt user for threshold value. Valid only with build option. This flag is designed to be used only by the v.import program, and can usually be ignore.
-r
  Reset corners of map region from range of data values.

### Parameters:

map=name
  Name of binary GRASS vector data file for which support files are to be created or modified. This map layer must exist in the user's current GRASS mapset.
option=name
  Build topology information (`dig_plus` file), or edit categories (`dig_att` file) for map.
  Options: build, edit
  Default: edit
threshold=value
  Snapping threshold value to be used when building topology. Specified value is always saved in file header. (Note: snapping is done only with build option and -s flag).
err=value
  Name of new vector binary file, where are saved all area edges with topology problems like free ends or not closed areas.

The user can run this program non-interactively by specifying parameter values (and optionally, flag settings) on the command line.

Alternately, the user can simply type the command v.support on the command line. In this event, the program will prompt the user to enter parameter values and flag settings.

If the build option is chosen, the user may further specify the -s flag, to snap nodes in the vector file. If nodes are to be snapped, the user can either: (1) use the calculated default threshold (based on the scale of vector data); (2) enter the -p flag, causing the program to prompt the user for a snapping threshold value; or (3) enter a specific threshold value on the command line.

The spatial assignment of category values (found in the `dig_att` file) is also performed during building of file topology.

The edit option allows the user to edit the category labels to be associated with the category values attached to the vector data during topology building. These labels, if created, are then used for raster map layers derived from their vector counterparts. The labels are placed in the `dig_cats` directory.

## NOTES

A `dig_plus` file must be created for each imported vector map before it can be used in post-GRASS 3.0 versions of digit (now referred to as v.digit).

Topological information for GRASS vector files can also be built using option 4 of the v.import program.

This program will convert pre-4.0 version GRASS vector files to 4.0 format.

v.support creates support files only for binary vector files located in the user's current mapset.

## SEE ALSO

v.digit, v.import, v.in.ascii, v.prune, v.to.rast

## AUTHORS

Dave Gerdes, U.S.Army Construction Engineering Research Laboratory
Michael Higgins, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/04/08 13:17:33 $